Open indices for a cluster: Request

Prev Next

To retrieve the open indices and aliases for the specified cluster, send the following request:

GET https://<IA_IP_address>:<port_number>/stats/v1/elastic/<cluster_name>/openindices

Required header:

Cookie: px=<token>

Note

You must be logged in to use this request.

Options

  • IA_IP_address—The IP address of the NDR appliance running the NDR API.

  • port_number—The port number of the NDR appliance running the NDR API.

  • cluster_name—The name of the cluster.

  • token—This token authenticates the session. By default, the session times out after 24 hours.

Example

GET https://xxx.xxx.xxx.xxx:443/stats/v1/elastic/ia150/openindices

Required header:

Cookie: px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

Open indices for a cluster: Response

HTTP/1.1 [Response Code] [Response Message]				
Server: [Server]
Date: [Date]				
Content-Type: [Content Type]
clusterName: [Cluster Name]
rollingIndexPrefix: [Rolling Index Prefix]
leastRecentDate: [Least Recent Date]
mostRecentData: [Most Recent Date]
openCount: [Open Count]
indexName: [Index Name]
sizeInMB: [Size in MB]
documentCount: [Document Count]
Response fields
  • Response Code—A standard HTTP response code.

  • Response Message—A standard HTTP response message.

  • Date—Standard HTML date format.

  • Content Type—The response format.

  • Cluster Name—The name of the cluster.

  • Rolling Index Prefix—The common prefix name of this rolling index.

  • Least Recent Date—The least recent time stamp of this rolling index.

  • Most Recent Date—The most recent timestamp of this rolling index.

  • Open Count—The number of indices of this class that have the same common prefix.

  • Index Name—The name of the index.

  • Size in MB—The size of the index in MB.

  • Document Count—The number of documents in the index.

Example
HTTP/1.1 200 OK
Server: nginx
Date: Fri, 29 Apr 2016 16:58:53 GMT
Content-Type: application/json; charset=utf-8
{
  "clusterName": "ia141cluster",
  "rollingIndices": [
    {
      "rollingIndexPrefix": "alert",
      "leastRecentDate": "2016.04.08",
      "mostRecentDate": "2016.05.01",
      "openCount": 1,
      "indexSummaryStats": [
        {
          "indexName": "alert-ia141cluster-2016.04.09",
          "sizeInMB": 0,
          "documentCount": 161
        }
      ]
    },
    {
      "rollingIndexPrefix": "nspector",
      "leastRecentDate": "2016.04.08",
      "mostRecentDate": "2016.05.01",
      "openCount": 1,
      "indexSummaryStats": [
        {
          "indexName": "nspector-ia141cluster-2016.04.09",
          "sizeInMB": 449806,
          "documentCount": 669476710
        }
      ]
    }
  ],
  "otherIndices": [
    {
      "indexName": ".systemstats-ia141host-2016.04.26",
      "sizeInMB": 0,
      "documentCount": 1440
    }
  ]
}

cURL code sample: Open indices for a cluster

curl -k -H "Content-Type: Application/json" --cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" https://xxx.xxx.xxx.xxx:443/stats/v1/elastic/ia150/openindices

This cURL sample includes the following options:

  • -k—This option explicitly allows cURL to perform insecure SSL connections and transfers, which allows you to test your SSL connection without installing a CA certificate.

  • -H "Content-Type: Application/json"—This header specifies that the request body is in JSON format.

  • --cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"—This option specifies the authentication token for this session.

  • https://xxx.xxx.xxx.xxx:443/stats/v1/elastic/ia150/openindices—The statistics request URL. Replace xxx.xxx.xxx.xxx with the IP address of your NDR appliance. Replace ia150 with the cluster name of interest.

Results

This example returns the open indices and aliases for the specified cluster. The output is in JSON format.